Bug 750997 - (scilab) Review Request: scilab - Scientific software package for numerical computations
Review Request: scilab - Scientific software package for numerical computations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 472639 (view as bug list)
Depends On: jhdf5
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-03 03:08 EDT by Clément DAVID
Modified: 2015-09-22 10:33 EDT (History)
12 users (show)

See Also:
Fixed In Version: scilab-5.3.3-4.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-13 16:57:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Clément DAVID 2011-11-03 03:08:23 EDT
Spec URL: http://davidcl.fedorapeople.org/scilab.spec
SRPM URL: http://davidcl.fedorapeople.org/scilab-5.3.3-1.fc16.src.rpm
Description: Scilab is a scientific software package for numerical computations
providing a powerful open computing environment for engineering and scientific
applications.


Rpmlint: http://davidcl.fedorapeople.org/scilab-rpmlint.log

Not empty, but I already fixed :
    incorrect-fsf-adress
    zero-length
    spurious-executable-perms
    file-not-utf8
    class-path-in-manifest
    non-executable-script

Justification for others (need comments):
    unexpanded-macro : not applicable as a %foo_bar macro has a specific meaning (overload) in Scilab.
    devel-file-in-non-devel-package : libs needed for dynamic link
    file-not-in-%lang : not applicable to .mo (Modelica) files
    backup-file-in-package : repositories.orig is used for testing
    uncompressed-zip : toolbox_7_1.0-1.bin.zip is used for testing
    incorrect-fsf-adress :
        look_for_text.sci and unhilite_modelica_block.sci has the right fsf address, what's wrong there ?
    no-manual-page-for-binary :
        is the javahelp sufficient or should I import debian man pages ?
            http://anonscm.debian.org/viewvc/debian-science/packages/scilab/trunk/debian/*.1 files
Comment 1 Susi Lehtola 2011-11-03 05:21:34 EDT
*** Bug 472639 has been marked as a duplicate of this bug. ***
Comment 2 Mark Arrasmith 2011-11-08 14:37:53 EST
For Fedora 16 and Scilab 5.3.3 the spec file from Clément DAVID needs additional dependencies ...
   flexdoc >= 0.5.2 (0.5.4 is in rawhide)
   jrosetta-engine >= 1.0.4 (1.0.4 is in F16 updates testing)

I also want to say that you are all awesome for working on this. Just getting the dependences to build scilab is insane. So, many thanks for getting this available for Fedora.
Comment 3 Clément DAVID 2011-11-08 16:34:51 EST
Spec URL: http://davidcl.fedorapeople.org/scilab.spec
SRPM URL: http://davidcl.fedorapeople.org/scilab-5.3.3-2.fc16.src.rpm
Description: Scilab is a scientific software package for numerical computations
providing a powerful open computing environment for engineering and scientific
applications.

Same rpmlint remarks than in the bug report.

(In reply to comment #2)
>    flexdoc >= 0.5.2 (0.5.4 is in rawhide)
>    jrosetta-engine >= 1.0.4 (1.0.4 is in F16 updates testing)
Updated flexdock and jrosetta minimal version checking

I also use rpm auto dependencies instead of duplicate BuildRequires/Requires for native libs.
Comment 4 Rex Dieter 2011-11-09 13:11:39 EST
OK, initial pass...

1.  MUST  drop BuildRequires (like gcc) from this list:
https://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions

2.  SHOULD  make -doc a noarch pkg, if possible

3.  MUST drop  ldconfig %post/%postun scriptlets , not needed as there are no shlibs installed to ld search path.
Comment 5 Clément DAVID 2011-11-10 13:29:06 EST
Spec URL: http://davidcl.fedorapeople.org/scilab.spec
SRPM URL: http://davidcl.fedorapeople.org/scilab-5.3.3-3.fc16.src.rpm
Description: Scilab is a scientific software package for numerical computations
providing a powerful open computing environment for engineering and scientific
applications.

Same rpmlint remarks than in the bug report.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3505218

Thanks for your review, I fixed these problems but also :
- Remove dependency on atlas (need only lapack ABI)
- Use noarch packages on doc and tests
- add a default font for doc generation
- scilab does not depends on scilab-doc anymore
Comment 6 Rex Dieter 2011-11-10 15:59:19 EST
excellent, otherwise looks good:

naming: ok

scriptlets: ok

sources: ok
$ md5sum *.gz
0211096464d0bb2e097154d62ef827bd  scilab-5.3.3-src.tar.gz

license: ok

macros: ok


APPROVED.
Comment 7 Clément DAVID 2011-11-13 13:01:28 EST
New Package SCM Request
=======================
Package Name: scilab
Short Description: Scientific software package for numerical computations
Owners: davidcl
Branches: f15 f16 el6
InitialCC:
Comment 8 Jon Ciesla 2011-11-13 15:21:22 EST
Summary name and SCM request name don't match, please correct one or the
other.  Thanks!
Comment 9 Clément DAVID 2011-11-14 12:28:21 EST
New Package SCM Request
=======================
Package Name: scilab
Short Description: Scientific software package for numerical computations
Owners: davidcl
Branches: f15 f16 el6
InitialCC:

Thanks for your remark, I prefer to keep the lowercase version and the description from the spec file (as in comment #7).
Comment 10 Jon Ciesla 2011-11-15 07:57:31 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2011-12-05 02:26:13 EST
scilab-5.3.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/scilab-5.3.3-3.fc16
Comment 12 Erwan LE PENNEC 2011-12-05 05:07:01 EST
 Hi,

  thank you for all the work. I've tried the uploaded package and when lauching scilab, I have the following waring

Warning: Could not find Java package '/usr/share/java/saxon.jar'.
Some problems during the loading of the Java libraries occured.
This could lead to inconsistent behaviours.
Please check SCI/etc/classpath.xml.

Installing saxon fixes the issue. Is this really an optional package or is it missing from the required ones?

   Erwan
Comment 13 antonio montagnani 2011-12-05 05:17:46 EST
If I click on the help icon I get the message that 

error 10000
help: hlp file is not installed
at line 42 of function help called by:
help ();
while executing a callback
Comment 14 Clément DAVID 2011-12-05 07:46:27 EST
(In reply to comment #12)
>  Hi,
> 
>   thank you for all the work. I've tried the uploaded package and when lauching
> scilab, I have the following waring
> 
> Warning: Could not find Java package '/usr/share/java/saxon.jar'.
> Some problems during the loading of the Java libraries occured.
> This could lead to inconsistent behaviours.
> Please check SCI/etc/classpath.xml.
> 
> Installing saxon fixes the issue. Is this really an optional package or is it
> missing from the required ones?
> 
>    Erwan

Hello and thanks for testing,

Saxon = 6.x is mandatory to build a PDF help, I have disabled it at configuration time (0002-Update-saxon-dependency-wrong-version.patch removed the 6.x dependent implementation and update configure.ac) but a check is also perform at runtime (through dynamic jar loading).

I have updated to scilab-5.3.3-4.fc16 with a mandatory saxon dependency to avoid this error (and to keep the same small patch).


(In reply to comment #13)
> If I click on the help icon I get the message that 
> 
> error 10000
> help: hlp file is not installed
> at line 42 of function help called by:
> help ();
> while executing a callback

Please install scilab-doc.
Comment 15 Fedora Update System 2011-12-05 07:48:14 EST
scilab-5.3.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/scilab-5.3.3-4.fc16
Comment 16 Fedora Update System 2011-12-05 20:04:03 EST
scilab-5.3.3-4.fc16 has been pushed to the Fedora 16 testing repository.
Comment 17 Fedora Update System 2011-12-13 16:57:02 EST
scilab-5.3.3-4.fc16 has been pushed to the Fedora 16 stable repository.
Comment 18 ycollet 2015-09-22 10:33:07 EDT
I still have the error message for fedora 22:

Attention : Impossible de trouver le package Java '/usr/share/java/saxon/saxon.jar'.
Des problèmes sont survenus pendant le chargement des bibliothèques Java.
Pouvant induire des erreurs de Scilab.
Veuillez vérifier le fichier SCI/etc/classpath.xml.

I just installed scilab:
dnf install scilab

On a nearly fresh fedora install.

Note You need to log in before you can comment on or make changes to this bug.